<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Infiltration](./bitburner.infiltration.md) &gt; [getPossibleLocations](./bitburner.infiltration.getpossiblelocations.md)

## Infiltration.getPossibleLocations() method

Get all locations that can be infiltrated.

**Signature:**

```typescript
getPossibleLocations(): ILocation[];
```
**Returns:**

[ILocation](./bitburner.ilocation.md)<!-- -->\[\]

all locations that can be infiltrated.

## Remarks

RAM cost: 5 GB

